summaryrefslogtreecommitdiff
path: root/tcwg_gnu-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tcwg_gnu-build.sh')
-rwxr-xr-xtcwg_gnu-build.sh39
1 files changed, 23 insertions, 16 deletions
diff --git a/tcwg_gnu-build.sh b/tcwg_gnu-build.sh
index ac9cda79..588a9c5f 100755
--- a/tcwg_gnu-build.sh
+++ b/tcwg_gnu-build.sh
@@ -178,22 +178,29 @@ no_regression_p ()
fi
done
- local res1
- gcc-compare-results/contrib/testsuite-management/validate_failures.py \
- --manifest=$xfail.xfail --clean_build=$sumfiles_base \
- --build_dir=$sumfiles_new $ignore_ERRORs_opt --verbosity=1 \
- > $run_step_artifacts/fails.sum &
- res1=0 && wait $! || res1=$?
- assert_with_msg "Result comparison should have failed" \
- [ $res1 = $res ]
-
- printf "extra_build_params=" > $run_step_artifacts/extra-bisect-params
- local exp
- while read exp; do
- printf "++testsuites %s " $exp >> $run_step_artifacts/extra-bisect-params
- done < <(cat $run_step_artifacts/fails.sum \
- | awk '/^Running .* \.\.\./ { print $2 }')
- printf "\n" >> $run_step_artifacts/extra-bisect-params
+ if [ $res = 2 ]; then
+ # Result comparison found regressions (exit code 2)
+ #
+ # Exit code 1 means that the script has failed to process
+ # .sum files. This likely indicates malformed or very unusual
+ # results.
+ local res1
+ gcc-compare-results/contrib/testsuite-management/validate_failures.py \
+ --manifest=$xfail.xfail --clean_build=$sumfiles_base \
+ --build_dir=$sumfiles_new $ignore_ERRORs_opt --verbosity=1 \
+ > $run_step_artifacts/fails.sum &
+ res1=0 && wait $! || res1=$?
+ assert_with_msg "Result comparison should have failed" \
+ [ $res1 = 2 ]
+
+ printf "extra_build_params=" > $run_step_artifacts/extra-bisect-params
+ local exp
+ while read exp; do
+ printf "++testsuites %s " $exp >> $run_step_artifacts/extra-bisect-params
+ done < <(cat $run_step_artifacts/fails.sum \
+ | awk '/^Running .* \.\.\./ { print $2 }')
+ printf "\n" >> $run_step_artifacts/extra-bisect-params
+ fi
fi
return $res